Subject: Re: bug#73604: [PATCH] Properly operate on current fileset revision in vc-hg-print-log

From: Sean Whitton <[email-masked]>
Date: Fri, 11 Oct 2024 12:43:02 +0800

Hello,

On Thu 03 Oct 2024 at 11:18am -04, Spencer Baugh wrote:

> I think you both may be misinterpreting this prompt - the typed-in
> revision doesn't actually specify where the log starts.  It doesn't
> affect what goes in the buffer at all; the value typed in doesn't get
> passed to 'print-log at all.
>
> The prompt is just about where point goes in the buffer - "last
> revision" just means that point starts at point-min.  Typing a revision
> at the prompt just moves point to that revision.
>
> (This is of course extremely confusing; I have definitely typed
> revisions in the vc-print-log prompt and expected them to change the log
> output.  Maybe this prompt and command should be changed in other ways,
> but let's defer that for other bugs.  Also note that this is very
> different behavior from M-1 C-x v L (vc-print-root-log), where typing a
> revision at the prompt *does* change what's logged.)
>
> So, anyway, that prompt says nothing about what actual logs should print
> with vc-print-log.  And (potentially) including commits which don't even
> contain the current fileset seems very wrong.
>
> Note also that the print-log docs also say:
>
> ;;   If START-REVISION is given, then show the log starting from that
> ;;   revision ("starting" in the sense of it being the _newest_
> ;;   revision shown, rather than the working revision, which is normally
> ;;   the case).
>
> vc-print-log always passes nil for START-REVISION, so it seems we expect
> to start from the working revision.

Thanks.  Based on this explanation I'd like to install your patch, but
can you move the substantive commentary in the commit message into the
code as a comment, please?  Generally that is preferred in this repo.

-- 
Sean Whitton